package com.bizmatics.mhfire.service.vo;

import lombok.Data;

/**
 * @author yq
 * @date 2021/5/28 15:38
 * 消防站点信息
 */
@Data
public class FireSiteVO {

    /**
     * id
     */
    private String id;

    /**
     * 类别
     */
    private String type;


    /**
     * 位置
     */
    private String address;

    /**
     * 消防站登记
     */
    private String level;


    /**
     * 电话
     */
    private String phone;

    /**
     * 支队人数
     */
    private Integer detachment;

    /**
     * 中队人数
     */
    private Integer lochus;

    /**
     * 平均警情处理时间
     */
    private Integer alertCheckAvgTime;


    //TODO 以后新建siteCar类里面有车辆类型和车辆数量两个字段
    /**
     * 加油车辆
     */
    private Integer playCar;

    /**
     * 备勤车辆
     */
    private Integer prepareCar;

    /**
     * 待命车辆
     */
    private Integer awaitOrdersCar;

    /**
     * 故障车辆
     */
    private Integer faultCar;

    //TODO 以后新建waterGun类，里面有物资名称，物资数量两个字段
    /**
     * 直流水枪
     */
    private Integer directWaterGun;

    /**
     * 带架水枪
     */
    private Integer shelfWaterGun;

    /**
     * 喷雾水枪
     */
    private Integer mistSprayWaterGun;

    /**
     * 喷雾泡泡
     */
    private Integer mistSprayBubble;



























}
